#
# spec file for package perl-Lazy-Utils
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
%define         name perl-Lazy-Utils
%define         version 1.22
%define         release 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
%define cpan_name Lazy-Utils
Summary:        Utility functions
License:        GPL-2.0+
Group:          SMEServer/contrib
Url:            http://search.cpan.org/dist/Lazy-Utils/
Source0:        https://cpan.metacpan.org/authors/id/O/OR/ORKUN/%{cpan_name}-%{version}.tar.gz
#Patch1:         perl-Lazy-Utils-fixme.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(ExtUtils::MakeMaker)
#BuildRequires:  perl(Test::Simple)
#BuildRequires:  perl(JSON) >= 2.90
#BuildRequires:  perl(Pod::Simple::Text) >= 3.26
Requires:       perl(JSON) >= 2.90
Requires:       perl(Pod::Simple::Text) >= 3.26
Requires:       e-smith-release >= 10.0

# %{perl_requires}

%description
Collection of utility functions all of exported by default.

%prep
%setup -q -n %{cpan_name}-%{version}

# %patch1 -p1


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

#%check
#make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README.md
%{perl_vendorlib}/*
%{_mandir}/man3/


%changelog
* Sat Apr 24 2021 John Crisp <jcrisp@safeandsoundit.co.uk> 1.22-1-sme
- new import for Koozali SME Server

